aboutsummaryrefslogtreecommitdiffstats
path: root/git-request-get
diff options
context:
space:
mode:
authorMatěj Cepl <mcepl@cepl.eu>2023-11-16 16:50:24 +0100
committerMatěj Cepl <mcepl@cepl.eu>2024-03-01 00:21:12 +0100
commitf159bc8c57d3f2e604b3feaac89dc39cf2bff3f7 (patch)
tree481ab92dd68fc9284fbe815b63241d7257f7e792 /git-request-get
parent88551b1a2877ea12a76b5c415420893749394d14 (diff)
downloadhlupak-f159bc8c57d3f2e604b3feaac89dc39cf2bff3f7.tar.gz
feat(git-request-get): Some ideas
Diffstat (limited to 'git-request-get')
-rwxr-xr-xgit-request-get10
1 files changed, 10 insertions, 0 deletions
diff --git a/git-request-get b/git-request-get
new file mode 100755
index 0000000..c5d3c3d
--- /dev/null
+++ b/git-request-get
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -eux
+
+# 1. Collect URL of the incoming repo
+# 2. Check it is in our remotes
+# 3. If it isn't, add it
+# 4. Fetch the remote
+# 5. Create new branch
+
+mapfile REMOTES < <(git remote -v|awk '{print $1,$2;}')